<!-- prettier-ignore-start -->
# Class ShipmentShippingCost

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.order.ShipmentShippingCost](dw.order.ShipmentShippingCost.md)

Represents shipping cost applied to shipments. 


Returned by
[ShipmentShippingModel.getShippingCost(ShippingMethod)](dw.order.ShipmentShippingModel.md#getshippingcostshippingmethod).



## Property Summary

| Property | Description |
| --- | --- |
| [amount](#amount): [Money](dw.value.Money.md) `(read-only)` | Returns the shipping amount. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getAmount](dw.order.ShipmentShippingCost.md#getamount)() | Returns the shipping amount. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### amount
- amount: [Money](dw.value.Money.md) `(read-only)`
  - : Returns the shipping amount.


---

## Method Details

### getAmount()
- getAmount(): [Money](dw.value.Money.md)
  - : Returns the shipping amount.

    **Returns:**
    - Shipping amount


---

<!-- prettier-ignore-end -->
